/* Styling for the premium sales page. */
div.header {
    article.premium {
        padding: 20px 0;
    }
}

div.container {
    article.premium {
        padding: 20px 0;
    }
}

article.premium {
    overflow: auto;

    div.free {
        border: 1px solid #e0e0e0;
        border-radius: 4px;
        float: left;
        height: 340px;
        margin: 0 30px 0 200px;
        padding: 20px;
        position: relative;
        text-align: center;
        width: 300px;
        h1 {
            font-size: 30px;
            margin: 24px 0;
            text-transform: uppercase;
            font-family: 'Lato', sans-serif;
            font-weight: 400;
        }
        a.pleb {
            position: absolute;
            bottom: 40px;
            left: 110px;
        }
    }
    div.premium {
        border: 1px solid #d0d0d0;
        border-radius: 4px;
        float: left;
        height: 340px;
        margin: 0;
        padding: 20px;
        position: relative;
        text-align: center;
        width: 300px;
        background: #f2f2f2;
        h1 {
            font-size: 30px;
            margin: 24px 0;
            text-transform: uppercase;
            font-family: 'Lato', sans-serif;
            font-weight: 400;
        }
        input.pay {
            @include button(simple, #799b10);
            bottom: 40px;
            font-size: 16px;
            left: 120px;
            position: absolute;
        }
    }
    h2 {
        color: #505050;
        font-size: 18px;
        font-weight: normal;
        margin: 30px 0;
    }
    h3 {
        color: #505050;
        font-size: 14px;
        font-weight: normal;
        margin: 30px 0;
        strong {
            color: black;
            font-size: 18px;
            font-weight: bold;
        }
    }
    p {
        color: #505050;
        margin: 2px 0;
    }
}

/* Make Premium */
div.header {
    article.make-premium {
        padding: 20px 0;
    }
}

div.container {
    article.make-premium {
        padding: 20px 0;
    }
}

article.make-premium {
    overflow: auto;

    div.items {
        background: #e9e9e9;
        border-radius: 6px;
        color: black;
        font-size: 18px;
        margin: 10px 0;
        padding: 20px;
        text-align: center;
        strong {
            color: $green;
            font-size: 30px;
        }
    }

    form {
        width: 550px;
        float: left;

        div.errors {
            background: darken(red, 10%);
            border-radius: 6px;
            color: white;
            margin: 0 0 10px;
            padding: 20px;
        }

        fieldset {
            border: 0;
            background: #e9e9e9;
            border-radius: 6px;
            padding: 20px;
            overflow: auto;
            margin: 0 0 10px;

            legend {
                display: block;
                float: left;
                width: 100%;
                font-size: 16px;
                font-weight: bold;
                text-transform: uppercase;
                margin: 0 0 0 170px;
            }

            label {
                display: inline-block;
                text-align: right;
                padding: 0 10px 0 0; 
                width: 160px;
                clear: both;
            }

            input {
                padding: 8px;
                border: 1px solid #d0d0d0;
                border-radius: 6px;
                font-size: 14px;
                width: 300px;
                &.error {
                    border-color: darken(red, 10%);
                    width: 298px;
                    border-width: 2px;
                }
            }
            p.error {
                margin: 4px 0 4px 170px;
                color: darken(red, 10%);
            }

            #cvv {
                width: 60px;
            }
            #province,
            #phone-number,
            #postal-code {
                width: 150px;
            }

            select {
                padding: 8px;
                border: 1px solid #d0d0d0;
                border-radius: 6px;
                font-size: 16px;
                background: white;
                margin-right: 5px;
                &.error {
                    border-color: darken(red, 10%);
                    border-width: 2px;
                }
            }

            #cancel-payment {
                background: #b0b0b0;
                border: 0;
                border-radius: 6px;
                color: white;
                display: block;
                float: left;
                font-size: 14px;
                font-weight: bold;
                height: 20px;
                line-height: 20px;
                margin: 0 10px 0 170px;
                padding: 8px;
                text-align: center;
                width: 100px;
                text-decoration: none;
                &:hover {
                    background: black;
                }
            }
            #process-payment {
                background: $green;
                border: 0;
                border-radius: 6px;
                color: white;
                float: left;
                font-size: 14px;
                font-weight: bold;
                height: 36px;
                padding: 7px 8px 9px 8px;
                width: 190px;
                
                &:hover {
                    cursor: pointer;
                    background: black;
                }
            }
        }
    }

    ul {
        list-style: none;  
        margin: 0;
        padding: 16px 0 0;
        clear: left;
        >li {
            padding: 2px 0;
        }
    }

    div.details {
        border: 1px solid #e0e0e0;
        border-radius: 6px;
        margin: 0 0 0 20px;
        width: 488px;
        padding: 20px;
        float: left;
        h2 {
            float: left;
            width: 100%;
            font-size: 16px;
            font-weight: bold;
            text-transform: uppercase;
            text-align: center;
            margin: 0 0 10px 0;
        }

        td {
            padding: 10px;
            &.right {
                text-align: right;
            }
        }
        tfoot {
            tr {
                border-top: 1px solid #d0d0d0;
            }
            td {
                text-align: right;
            }
        }

        div.legal {
            text-align: left;
            a {
                display: block; 
            }
        }
    }
}
